indicators call deprecated glib function g_type_init()

Bug #1103087 reported by Charles Kerr on 2013-01-22
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Application Indicators
Fix Released
High
Charles Kerr
Application Menu Indicator
Fix Released
High
Charles Kerr
Indicator Date and Time
Fix Released
High
Charles Kerr
Messaging Menu
Fix Released
High
Charles Kerr
Session Menu
Fix Released
High
Charles Kerr
The Sync Menu
Fix Released
High
Charles Kerr
libappindicator
Fix Released
High
Charles Kerr
libindicator
New
Undecided
Unassigned
indicator-application (Ubuntu)
Undecided
Unassigned
indicator-appmenu (Ubuntu)
Undecided
Unassigned
indicator-messages (Ubuntu)
Undecided
Unassigned
indicator-sync (Ubuntu)
Undecided
Unassigned
libappindicator (Ubuntu)
Undecided
Unassigned

Bug Description

Many indicators have calls to g_type_init(), which has been deprecated and dropped in glib 2.35.4

Related branches

Charles Kerr (charlesk) on 2013-01-22
Changed in indicator-datetime:
status: New → In Progress
importance: Undecided → High
assignee: nobody → Charles Kerr (charlesk)
Charles Kerr (charlesk) on 2013-01-22
Changed in indicator-session:
status: In Progress → Fix Committed
Changed in indicator-sync:
status: New → In Progress
assignee: nobody → Charles Kerr (charlesk)
importance: Undecided → High
Charles Kerr (charlesk) on 2013-01-22
Changed in indicator-messages:
status: New → In Progress
importance: Undecided → High
assignee: nobody → Charles Kerr (charlesk)
Charles Kerr (charlesk) on 2013-01-22
Changed in indicator-application:
status: New → In Progress
importance: Undecided → High
assignee: nobody → Charles Kerr (charlesk)
Charles Kerr (charlesk) on 2013-01-22
Changed in indicator-appmenu:
assignee: nobody → Charles Kerr (charlesk)
importance: Undecided → High
status: New → In Progress
Changed in indicator-appmenu:
status: In Progress → Fix Committed
Changed in indicator-application:
status: In Progress → Fix Committed
Changed in indicator-messages:
status: In Progress → Fix Committed
Changed in indicator-sync:
status: In Progress → Fix Committed
Charles Kerr (charlesk) on 2013-01-23
Changed in indicator-datetime:
status: In Progress → Fix Committed
Allan LeSage (allanlesage) wrote :

Charles, I stumbled into this with libindicator only when running make check--apparently we're not running the tests under current pbuilder in Jenkins :/ .

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-application - 12.10.1daily13.01.25-0ubuntu1

---------------
indicator-application (12.10.1daily13.01.25-0ubuntu1) raring; urgency=low

  [ Charles Kerr ]
  * indicators call deprecated glib function g_type_init() (LP:
    #1103087)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 239
 -- Automatic PS uploader <email address hidden> Fri, 25 Jan 2013 02:01:09 +0000

Changed in indicator-application (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-appmenu - 12.10.4daily13.01.25-0ubuntu1

---------------
indicator-appmenu (12.10.4daily13.01.25-0ubuntu1) raring; urgency=low

  [ Charles Kerr ]
  * indicators call deprecated glib function g_type_init() (LP:
    #1103087)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 229
 -- Automatic PS uploader <email address hidden> Fri, 25 Jan 2013 02:01:11 +0000

Changed in indicator-appmenu (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-messages - 12.10.6daily13.01.25-0ubuntu1

---------------
indicator-messages (12.10.6daily13.01.25-0ubuntu1) raring; urgency=low

  [ Charles Kerr ]
  * indicators call deprecated glib function g_type_init() (LP:
    #1103087)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 335
 -- Automatic PS uploader <email address hidden> Fri, 25 Jan 2013 02:01:11 +0000

Changed in indicator-messages (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-sync - 12.10.5daily13.01.25-0ubuntu1

---------------
indicator-sync (12.10.5daily13.01.25-0ubuntu1) raring; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * debian/rules:
    - Add and export DPKG_GENSYMBOLS_CHECK_LEVEL = 4.
    - Override dh_autoreconf to call ./autogen.sh and not run configure.
    - Drop overrides for dh_makeshlibs and dh_shlibdeps: not needed with
      DPKG_GENSYMBOLS_CHECK_LEVEL exported.
    - Simplify the dh_auto_install/dh_install overrides: drop the override
      for dh_auto_install, and fold it all under dh_install.
  * debian/control:
    - Update style to be consistent with other indicator packages (use trailing
      commas in dependency lists, align items).
    - Add gnome-common to Build-Depends.
    - Move Build-Depends for libgtest-dev closer to the top of the build
      dependency list, to be consistent with other indicator packages.
    - Update Vcs-Bzr, Vcs-Browser and add a notice to uploaders.
  * debian/source/format: migrate back to source format 1.0.

  [ Didier Roche ]
  * Automatic snapshot from revision 28 (bootstrap)

  [ Charles Kerr ]
  * indicators call deprecated glib function g_type_init() (LP:
    #1103087)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 30
 -- Automatic PS uploader <email address hidden> Fri, 25 Jan 2013 02:01:11 +0000

Changed in indicator-sync (Ubuntu):
status: New → Fix Released
Charles Kerr (charlesk) on 2013-01-29
Changed in libappindicator:
assignee: nobody → Charles Kerr (charlesk)
importance: Undecided → High
status: New → In Progress
Changed in libappindicator:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libappindicator - 12.10.1daily13.02.13-0ubuntu1

---------------
libappindicator (12.10.1daily13.02.13-0ubuntu1) raring; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * debian/control:
    - Update style: use trailing commas at the end of dependency lists.
    - Reorganize Build-Depends for clarity.
    - Bump Build-Depends on debhelper to (>= 9).
    - Drop Build-Depends on cdbs.
    - Drop old Conflicts, Replaces, Provides for old unsupported upgrade paths.
    - Update Vcs-Bzr, Vcs-Browser and add a notice to uploaders.
    - Add a Pre-Depends on multiarch-support for libappindicator(3-)7.
    - Add xvfb to Build-Depends.
  * debian/compat: bump to compat level 9.
  * debian/rules:
    - Convert from cdbs to debhelper 9.
    - Add and export DPKG_GENSYMBOLS_CHECK_LEVEL.
    - Override dh_autoreconf to run autogen.sh and not call configure.
    - Override dh_auto_test to run tests per-flavor.
  * debian/*.install:
    - Update paths for multiarch and for use with dh9 (remove debian/tmp...)
  * Fix gtkdoc tests and building of the documentation given a separate build
    directory.

  [ Chris J Arges ]
  * acinclude.m4: Fix python multi-arch include issues.

  [ Mathieu Trudel-Lapierre ]
  * Automatic snapshot from revision 245 (bootstrap):
    - Fix Vala classes not being able to inherit from Indicator (LP: #1065310)

  [ Charles Kerr ]
  * indicators call deprecated glib function g_type_init() (LP:
    #1103087)
  * test-libappindicator-status fails with "Toggle count: 99" (LP:
    #1109128)
  * Coverity COPY_PASTE_ERROR - CID 10969 (LP: #1102595)
  * libappindicator-docs.sgml missing links (LP: #1083425)
  * Coverity INTEGER_OVERFLOW - CID 10970 (LP: #1102589)

  [ Charles Kerr <email address hidden>, Mathieu Trudel-Lapierre <email address hidden>, Michael Terry ]
  * indicators call deprecated glib function g_type_init() (LP:
    #1103087)
  * test-libappindicator-status fails with "Toggle count: 99" (LP:
    #1109128)
  * Coverity INTEGER_OVERFLOW - CID 10970 (LP: #1102589)
  * Coverity COPY_PASTE_ERROR - CID 10969 (LP: #1102595)

  [ Mathieu Trudel-Lapierre ]
  * Can't inherit from AppIndicator.Indicator in Vala (LP: #1065310)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 250
 -- Automatic PS uploader <email address hidden> Wed, 13 Feb 2013 02:02:41 +0000

Changed in libappindicator (Ubuntu):
status: New → Fix Released
Charles Kerr (charlesk) on 2013-08-08
Changed in indicator-application:
status: Fix Committed → Fix Released
Changed in indicator-appmenu:
status: Fix Committed → Fix Released
Changed in indicator-datetime:
status: Fix Committed → Fix Released
Changed in indicator-messages:
status: Fix Committed → Fix Released
Changed in indicator-session:
status: Fix Committed → Fix Released
Changed in indicator-sync:
status: Fix Committed → Fix Released
Changed in libappindicator:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers